# Uses of Interface
org.lwjgl.input.Controller

Packages that use Controller
Package
Description
org.lwjgl.input
org.lwjgl.util.input

## Uses of Controller in org.lwjgl.input

Methods in org.lwjgl.input that return Controller
Modifier and Type
Method
Description
`static Controller`
Controllers.`getController(int index)`
Get a controller from the collection
`static Controller`
Controllers.`getEventSource()`
Get the source of the current event

## Uses of Controller in org.lwjgl.util.input

Classes in org.lwjgl.util.input that implement Controller
Modifier and Type
Class
Description
`class`
`ControllerAdapter`
Adapter for the Controller interface.